solidworks use GetSystemValue3 In vb.net "Empty" for the Config_Names
solidworks use GetSystemValue3 In vb.net "Empty" for the Config_Names
SolidWorks Document Manager API Help. eDrawings API ... SolidWorks Sustainability API Help ... GetSystemValue3(swThisConfiguration, vConfigNameArr(0))
If you know the fully qualified name of the dimension (e.g., "D1@Sketch1″) you can also use IModelDoc2::Parameter::SystemValue to change the dimension value. See the API Help Example "Change Dimension Example (VBA)". However, a better way to change a dimension value is by using IDimension::GetSystemValue3 and IDimension::SetSystemValue3 if you can get access to the IDimension object. The IDimension object is accessed through IDisplayDimension::GetDimension2. This latter technique allows you specify which configurations the dimension change applies to.
If you are trying to add sketch constraints and the sketch entities were selected with methods like ISketchSegment::Select4 or ISketchPoint::Select4, IModelDoc2::SketchAddConstraints will not add the constraints. Instead you will need to use ISldWorks::RunCommand using enumeration values like "swCommands_Add_Constraint_Coinc" for the CommandID argument. Alternative, you could use the ISketchRelationManager to add constraints.
没有评论:
发表评论